
#include <wx/wx.h>
#include <wx/textctrl.h>
#include <wx/checkbox.h>
#include <wx/tglbtn.h>
#include <wx/choice.h>
#include <wx/button.h>
#include <wx/frame.h>
#include <wx/spinctrl.h>
#include <wx/timer.h>
#include <wx/scrolbar.h>


        

        
         //(*Identifiers(LTC5904Frame)
        #define  ID_STATICTEXT1 1001
        
        #define  ID_TEXTCTRL1 1002
        #define  ID_TEXTCTRL2 1003
        #define  ID_TEXTCTRL3 1004
        #define  ID_BUTTON1 1005
        #define  ID_BUTTON2 1006
        #define  ID_TIMER1 1500
        
		#define  ID_STATICTEXT2 1007
        //*)
        
        
        

class LTC5904Frame:public wxFrame {
  public:
    LTC5904Frame(wxWindow * parent, wxWindowID id = -1);
    virtual ~ LTC5904Frame();

	int SearchPort2(void);
    int LTC5904Frame_SERIAL(void);
    void analizar(void);
    
    void SendData(void);

    wxClientDC *dcPantalla;
    wxMemoryDC *dcBuffer;
    wxBitmap *m_bitmap;

  private:
     DECLARE_EVENT_TABLE()
	//(*Handlers(LTC5904Frame)
	
		//(*Handlers(LTC5904Frame)
        void OnQuit(wxCommandEvent& event);
        void OnBfrecuClick(wxCommandEvent& event);
        void OnClose(wxCloseEvent& event);
        void OnBexitClick(wxCommandEvent& event);
        void OnTimer1Trigger(wxTimerEvent& event);
        //*)
	    


 //(*Declarations(LTC5904Frame)
		wxButton* Bfrecu;
        wxStaticText* StaticText1;
        wxStaticText* StaticText2;
        wxTextCtrl* Bgo;
        wxTextCtrl* Bconsola;
        wxButton* Bexit;
        wxTextCtrl* TextCtrl1;
        wxTimer Timer1;
        //*)
};

class MiAplicacion:public wxApp {
  public:
    virtual bool OnInit();
};


bool MiAplicacion::OnInit()
{
    wxInitAllImageHandlers();
    LTC5904Frame *Frame = new LTC5904Frame(0);
    Frame->Show();
    return true;
}
